## intelmq-fody 0.11.1-1

=== debian/changelog ===
intelmq-fody (0.11.1-1) stable; urgency=medium

  * ContactDB:
    * For compatibility with fody-backend on Ubuntu 22.04, use JSON Schema Draft 07 instead of Draft2019.
  * Documentation:
    * Add release documentation

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 10 Sep 2025 14:51:30 +0200

intelmq-fody (0.11.0-1) stable; urgency=medium

  * ContactDB:
    * Search: allow pressing enter to start searching by ASN.
    * Better search result summary.
    * Validate all user input with JSON schema.
    * Scroll to new/updated orgcard and highlight it (#33).
    * Bulk import for IP addresses and FQDNs.
    * Validate FQDNs with Public Suffix Lists.
  * Tests: add workflows for codespell, application build.

 -- Sebastian Wagner <swagner@intevation.de>  Thu, 21 Aug 2025 21:18:20 +0200

intelmq-fody (0.9.6-1) stable; urgency=medium

  * ContactDB:
    * in edit mode, make label column smaller
      so there's more space for the long values
      based on user-feedback
    * contacts: add missing form-control class to inputs
      of FQDN, National CERT and Network input fields
  * ContactDB OrgAnnotation:
    * annotations: use normal font size
      based on user-feedback, the font size should not be small but the
      default one
    * OrgAnnotations: Improve Expiry date for inhibitions
      * in view mode, make the container red if expired
      * in view mode display the expiry date, inside the block
      * in edit mode display the expiry date form below the inhibition form
      * in edit mode display hide the tag form (value == 'inhibition')
      * use days instead of months for relative dates
      * vertically align expiry trash icon
      * relativedate: set never if expires is empty
      * layout of tag/expiry form
        make them the same layout as all other forms with a col-4/8 layout
        and one line per input object
    * revert yar.lock to 0.9.4 version, because that didn't work with the production build

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 14 Aug 2024 14:39:54 +0200

intelmq-fody (0.9.5-1) stable; urgency=medium

  * Tag expiry date
   * Dashboard
    * On login open dashboard to deliver a clean interface
      If the user accesses a sub-page, the frontend already tried to retrieve data from the backend without authentication, leading to errors.
      Clean the frontend, so the user sees a clean interface and the frontend loads the necessary data when switching to the requested page
   * Contacts
    * Do not load the annotation hints when not logged in
    * Organisation Annotations: Add input field for tag expiry
     * with date selector, quick selector (relative times) and clear button
     * Show expiry date for annotations in view mode
     * search interface: use current format "Whitelist:" in placeholder tag
   * Documentation
    * how to run tests
    * add screenshots to README
   * Dependencies
    * re-resolve packages

 -- Sebastian Wagner <swagner@intevation.de>  Wed, 24 Jul 2024 16:35:47 +0200

intelmq-fody (0.9.4) stable; urgency=medium

  * Added support for authentication and session management.

 -- Sascha Wilde <wilde@intevation.de>  Fri, 21 May 2021 11:00:14 +0200

intelmq-fody (0.9.3) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Thu, 03 Dec 2020 16:22:07 +0100

intelmq-fody (0.9.2) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Wed, 14 Oct 2020 11:38:30 +0200

intelmq-fody (0.9.1) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Wed, 30 Sep 2020 17:38:53 +0200

intelmq-fody (0.9.0) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Thu, 24 Sep 2020 17:38:29 +0200

intelmq-fody (0.8.0) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Fri, 27 Mar 2020 13:31:52 +0100

intelmq-fody (0.7.0) stable; urgency=medium

  * New release.
  * Raise Build-Depends: to nodejs (>= 12.14.1) and yarn (>= 1.21.1)

 -- Bernhard E. Reiter <bernhard@intevation.de>  Wed, 08 Jan 2020 13:26:21 +0100

intelmq-fody (0.6.8) stable; urgency=medium

  * New release.

 -- Bernhard E. Reiter <bernhard@intevation.de>  Thu, 05 Dec 2019 09:32:09 +0100

intelmq-fody (0.6.6) unstable; urgency=medium

  * Stats: Change display of subqueries to show the description.
  * Contacts: Add handling of email tags.

 -- Sascha Wilde <wilde@intevation.de>  Wed, 15 May 2019 16:51:34 +0200

intelmq-fody (0.6.5) unstable; urgency=medium

  * Tickets: (minor) Improves details view of send out email: aligns
    values left.
  * Contacts: Adds disabling and enabling of email addresses, including
    an accompanying search for disabled addresses.
  * Contacts: (minor) Fixes bookmarking for tags.

 -- Sascha Wilde <wilde@intevation.de>  Wed, 13 Jun 2018 18:49:29 +0200

intelmq-fody (0.6.3) unstable; urgency=medium

  * Tickets: Improves details view of send out email: Removes display of
    `template_name`; centers table.

 -- Sascha Wilde <wilde@intevation.de>  Fri, 02 Mar 2018 15:53:13 +0100

intelmq-fody (0.6.2) unstable; urgency=medium

  * Tickets: Improves displaying details about a send out ticket. It shows
    more information in a small table now, including the `template_format`.
  * Tickets: Changes behaviour to always show up to 10,000 events. If there are
    more events, the ones with the lowest `events_id` will be shown.
  * Contacts: (minor) Improves input of integers to avoid the cursor jumping
    to the end if a digit is entered in the middle of a number for browsers
    that check the type correctly (e.g. Chromium).
  * Stats: (minor) Adds hints how to use the `_icontains` query conditions.
  * Upgrade note: Now depends on fody-backend >= 0.6.1.

 -- Sascha Wilde <wilde@intevation.de>  Wed, 28 Feb 2018 17:43:21 +0100

intelmq-fody (0.6.1) unstable; urgency=medium

  * Contacts: (minor) Improves input of integers to avoid showing

