=== debian/control ===
Source: intelmq-fody
Maintainer: Sascha Wilde <wilde@intevation.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9), nodejs (>= 12.14.1), yarn (>= 1.21.1), rsync
Standards-Version: 3.9.6

Package: intelmq-fody
Architecture: all
Depends: ${misc:Depends}
Description: Fody is an interface for intelmq-mailgen setups.
 Shows event details for a report that has been send out.
 Manage the IntelMQ certbund-contact database.

Package: intelmq-fody-src
Architecture: all
Depends: ${misc:Depends}
Description: Full expanded source of Fody.
 As Fody is build using yarn, thereby downloading various sources
 during package building, the regular deb source packages doesn't
 contain most of the sources actually used to build the binary
 package.
 .
 This package contains the full tree with all dependencies installed
 during build time.  It is installed below /usr/src and mainly intended
 for reference.
 .
 In nearly all cases you won't need this package to rebuild Fody, just
 use the regular deb source packages.
